# Class normal_distribution::param_type

- Defined in File rocrand.hpp

## Nested Relationships

This class is a nested type of Template Class normal_distribution.

## Class Documentation

class param_type

  The type of the distribution parameter set.

  Public Types

  using distribution_type = normal_distribution<RealType>

  Public Functions

  inline param_type(RealType mean = 0.0, RealType stddev = 1.0)
  param_type(const param_type &params) = default
  inline RealType mean() const

    Returns the deviation distribution parameter.

    The default value is 1.0.

  inline RealType stddev() const

    Returns the standard deviation distribution parameter.

    The default value is 1.0.

  inline bool operator==(const param_type &other)

    Returns `true` if the param_type is the same as `other`.

  inline bool operator!=(const param_type &other)

    Returns `true` if the param_type is different from `other`.